﻿module App {

    class Configurator {
        constructor(
            private $stateProvider: ng.ui.IStateProvider,
            private globalConstants: App.IGlobals) {

            $stateProvider
                .state("home",
                {
                    url: "",
                    templateUrl: globalConstants.appUrl + "home/home"
                })
                .state("persons",
                {
                    url: "/persons",
                    templateUrl: globalConstants.appUrl + "contacts/list",
                    controller: "contactsController",
                    controllerAs: "vm"
                })
                .state("person",
                {
                    url: "/person/:id",
                    templateUrl: globalConstants.appUrl + "contacts/edit",
                    controller: "contactsEditController",
                    controllerAs: "vm"
                });
        }
    }

    angular.module("app", [
        "ui.router",
        "globals",
        "contacts"
    ]).config(["$stateProvider", "globalConstants", Configurator]);
} 